import { ImBin } from 'react-icons/im'
import { MdOutlineModeEditOutline } from 'react-icons/md'

const Students = ({ children, marks, id, index, onDelete, handleEditChange }) => {

    return (
        <div className='student'>
            <div>{index + 1}</div>
            <div>{children}</div>
            <div>{marks}</div>
            <div><small className={`${marks >= 35 ? 'pass' : 'fail'}`}>({marks >= 35 ? 'P' : 'F'})</small></div>
            <div style={{ display: 'flex' }}>
                <div><MdOutlineModeEditOutline onClick={() => handleEditChange(id, children, marks)} /></div>
                <div style={{ marginLeft: '10px' }}><ImBin onClick={() => (onDelete(id))}/></div>
            </div>
        </div>
    )
}

export default Students
